Last Comment Bug 773952 - java.lang.NoSuchMethodError: org.mozilla.gecko.GeckoApp$MenuPanel.onPopulateAccessibilityEvent at org.mozilla.gecko.GeckoApp$MenuPanel.dispatchPopulateAccessibilityEvent(GeckoApp.java)
: java.lang.NoSuchMethodError: org.mozilla.gecko.GeckoApp$MenuPanel.onPopulateA...
Status: RESOLVED FIXED
[native-crash]
: crash, regression, topcrash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 15 Branch
: ARM Android
: -- critical (vote)
: Firefox 16
Assigned To: Eitan Isaacson [:eeejay]
:
:
Mentors:
Depends on:
Blocks: 773039
  Show dependency treegraph
 
Reported: 2012-07-14 05:57 PDT by Scoobidiver (away)
Modified: 2012-07-18 16:59 PDT (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments
Fix crasher on pre-ICS in MenuPanel.dispatchPopulateAccessibilityEvent (1.20 KB, patch)
2012-07-14 12:43 PDT, Eitan Isaacson [:eeejay]
mark.finkle: review+
mark.finkle: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Scoobidiver (away) 2012-07-14 05:57:53 PDT
There are four crashes from the same user in 16.0a1/20120714: bp-42389037-7dc8-469d-812c-a48892120714.

java.lang.NoSuchMethodError: org.mozilla.gecko.GeckoApp$MenuPanel.onPopulateAccessibilityEvent
	at org.mozilla.gecko.GeckoApp$MenuPanel.dispatchPopulateAccessibilityEvent(GeckoApp.java:554)
	at android.widget.RelativeLayout.dispatchPopulateAccessibilityEvent(RelativeLayout.java:956)
	at android.widget.RelativeLayout.dispatchPopulateAccessibilityEvent(RelativeLayout.java:956)
	at android.view.View.sendAccessibilityEventUnchecked(View.java:3452)
	at android.view.View.sendAccessibilityEvent(View.java:3428)
	at android.widget.PopupWindow$PopupViewContainer.sendAccessibilityEvent(PopupWindow.java:1540)
	at android.view.ViewRoot.sendAccessibilityEvents(ViewRoot.java:3465)
	at android.view.ViewRoot.handleMessage(ViewRoot.java:2188)
	at android.os.Handler.dispatchMessage(Handler.java:99)
	at android.os.Looper.loop(Looper.java:132)
	at android.app.ActivityThread.main(ActivityThread.java:4126)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:491)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:844)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:602)
	at dalvik.system.NativeStart.main(Native Method)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NoSuchMethodError%3A+org.mozilla.gecko.GeckoApp%24MenuPanel.onPopulateAccessibilityEvent+at+org.mozilla.gecko.GeckoApp%24MenuPanel.dispatchPopulateAccessibilityEvent%28GeckoApp.java%29
Comment 1 Marco Zehe (:MarcoZ) 2012-07-14 07:05:54 PDT
Eitan, this looks like it broke with bug 773039. I didn't see anything wrong when i tested it yesterday.
Comment 2 Eitan Isaacson [:eeejay] 2012-07-14 12:43:46 PDT
Created attachment 642259 [details] [diff] [review]
Fix crasher on pre-ICS in MenuPanel.dispatchPopulateAccessibilityEvent
Comment 3 Eitan Isaacson [:eeejay] 2012-07-14 12:53:07 PDT
https://tbpl.mozilla.org/?tree=Try&rev=414e5d57e009

Not near a build env, so just making sure with try first.
Comment 4 Eitan Isaacson [:eeejay] 2012-07-15 15:18:15 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/c2760174d698
Comment 5 Eitan Isaacson [:eeejay] 2012-07-15 15:26:19 PDT
Comment on attachment 642259 [details] [diff] [review]
Fix crasher on pre-ICS in MenuPanel.dispatchPopulateAccessibilityEvent

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug #773039.
User impact if declined: Crashes on pre-ICS devices when menu comes up.
Testing completed (on m-c, etc.): Not yet, but pretty strong conviction that this works well.
Risk to taking this patch (and alternatives if risky): None.
String or UUID changes made by this patch:
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-07-15 16:05:27 PDT
Comment on attachment 642259 [details] [diff] [review]
Fix crasher on pre-ICS in MenuPanel.dispatchPopulateAccessibilityEvent

I agree that this is a simple fix that should get on fx15
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-07-15 18:43:01 PDT
https://hg.mozilla.org/mozilla-central/rev/c2760174d698

Target milestone is used for tracking when a fix lands on m-c. Please use the tracking flags for aurora/beta landings.
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-07-15 18:46:20 PDT
Like so :-P
https://hg.mozilla.org/releases/mozilla-aurora/rev/0110dcf342ff
Comment 10 Ed Morley [:emorley] 2012-07-16 03:02:05 PDT
Sorry, just had it pointed out that this was android only (I hadn't looked at the diff before backing out, oops), must have just been bad luck two pushes in a row.

Relanded on aurora:
https://hg.mozilla.org/releases/mozilla-aurora/rev/c511865c8ab1

Note You need to log in before you can comment on or make changes to this bug.